Description

https://jira-lesia.obspm.fr/browse/RPWSWR-625

Fournir un document de caractérisation de I'ecart selon CWF F1, F2 et F3 car dixit Paul le req n'est pas applicable pour des basse
freq (F2 et F3) par design car les horloges spw et LFR ne sont pas synchrone , pas de PLL. Ce req vient du niveau systéme (dixit
Plasson) et est retranscrit tel quel par Philippe dans la SSS.

Le LESIA est aussi intéressé d'avoir un retour sur le décalage mesuré par Paul entre horloge spw et LFR pendant longtemps (voir
avec Paul).

Le document devra étre fourni a :

Benezeth Jean-Michel (LOGIQUAL) Jean-Michel.Benezeth@cnes.fr
Gonzalo

C. Laffaye

B. Pontet

et devra servir a faire modifier la SSS si LFR ne peut pas étre compliant.

Related issues:
Related to Bug #554: Probléme datation waveform par rapport a SSS-CP-EQS-340 Closed 23/10/2015

History

#1 - 05/01/2016 11:39 AM - bruno katra
- Related to Bug #554: Probléme datation waveform par rapport a SSS-CP-EQS-340 added

#2 - 05/01/2016 04:45 PM - bruno katra
- Status changed from New to In Progress
Bonjour Philippe. Tout d'abord : Bonne année a toi !!

Je te contacte concernant la demande de rédaction concernant le requirement SSS-CP-EQS-340.
Pour rappel :

SSS-CP-EQS-340 Acquisition synchronization

The equipment flight software shall ensure that the waveform acquisitions are synchronized on the

second, with a precision higher than 500 ps, by using the SpaceWire time code.

E.g. with a 16 samples/second cadence, the first sample shall be taken exactly on the second and

the 17th sample exactly on the next second.

Paul avait exposé le fait que les horloges LFR ne sont pas synchrones du SpW et avait aussi déja caractérisé que les time code eux-méme venant du
SpW avait une dérive substantielle. De fait donc, ce requirement était inapplicable pour des basses fréquences (F2 et F3 de LFR).

Nous sommes censés fournir un document caractérisant la dérive et autres parametres mais aprés discussions avec Alexis et Thomas, la faisabilité
et la pertinence de ce document sont un peu confuses.

Pourrait-on t'appeler demain vers 10h ou a 14h30 avec Thomas et Alexis afin de circonscrire un peu mieux le périmetre du document?

Merci d'avance

Cordialement,

Bruno

#3 - 07/01/2016 05:26 PM - bruno katra
Discussions avec P.Plasson le 7/01/2016 :
pas de documents de caractérisation pour I'instant MAIS un mail technique avec un peu de détails sur les éléments de LFR & envoyer et discuter
avec Milan et B. Pontet.

#4 - 07/01/2016 05:27 PM - bruno katra
- File Draft note technique SSS-CP-EQS-340.odt added
- % Done changed from 0 to 30

Salut les gars, comme convenu ce matin voici un premier draft du mail/note technique que nous adresserons a Bernard Pontet et Milan afin
d'entamer une discussion sur la pertinence/faisabilité/bullshitage de la SSS-CP-EQS-340.

C'est surement un peu maladroit, je m'en excuse, c'est a la hauteur de ce que je pense avoir compris de toutes vos discussions et fonction de mes
compétences dans ces belles disciplines que sont I'acquisition et le traitement du signal (voila que je fais des mails a la Edmond Pawela...).

Il manque aussi surement 1 ou 2 pointages vers la doc FPGA de JC afin d'étayer le tout.

Je vous laisse regarder, compléter, réarranger ce document.
http://129.104.27.248/public.php?service=documents&t=eoh1kmh20jdWMI5

Merci

A+

Bruno

fichier odt en PJ

#5 - 08/01/2016 03:26 PM - bruno katra
- % Done changed from 30 to 40

Mail envoyé le 8/01/2016 :

Sujet:  Document de caractérisation pour SSS-CP-EQS-340 demandée lors de la QR par le CNES et le LESIA.

Date : Fri, 8 Jan 2016 15:24:57 +0100

De: Bruno Katra <bruno.katra@Ipp.polytechnique.fr>

Pour : Pontet Bernard <Bernard.Pontet@cnes.fr>, Maksimovic Milan <milan.maksimovic@obspm.fr>

Copiea: Thomas Chust <thomas.chust@Ipp.polytechnique.fr>, Jeandet alexis <alexis.jeandet@Ipp.polytechnique.fr>, Veronique Bouzid <

veronique.bouzid@Ipp.polytechnique.fr>, paul leroy <paul.leroy@lpp.polytechnique.fr>, Vincent Leray <vincent.leray@nexeya.com>, Plasson
Philippe <philippe.plasson spm.fr>, William Recart <william.recart@Ipp.polytechnique.fr>

Bonjour a tous et bonne année.

Suite aux discussions lors de la QR R3 du logiciel de vol LFR (11/12/2015 + 18/12/2015) et autres entretiens, nous souhaiterions pointer une
ambiguité au niveau de I'exigence applicable a LFR et TDS pour les continuous Waveforms : SSS-CP-EQS-340 (SSS 3.5) dérivée elle-méme des
exigences systeme REQ-RPW-SYS-0350 et REQRPW-SYS-0351 (STB RPW).

Pour rappel :
SSS-CP-EQS-340 Acquisition synchronization

The equipment flight software shall ensure that the waveform acquisitions are synchronized on the second, with a precision higher than 500 s, by
using the SpaceWire time code.

E.g. with a 16 samples/second cadence, the first sample shall be taken exactly on the second and the 17th sample exactly on the next second.

En effet, une telle exigence implique la synchronisation méme des horloges de LFR avec celles du Spacecraft, ce qui n'est pas la cas pour LFR et a
priori pour TDS aussi car cela ne fait pas partie des exigences pour le design méme des instruments.

De plus, le FPGA de LFR commence les acquisitions et leur datation des la mise sous tension de LFR et la phase de stabilisation terminée, rendant
aléatoire que l'acquisition puisse se faire sur une seconde entiére. Cela implique que le décalage entre la datation et une seconde entiére est de fait
+/- 1/F/2, ce qui donne pour les basses fréquences de LFR (F2=256 Hz et F3 = 16 Hz) :

Pour F2 : +/- 2ms

Pour F3 : +/- 31.3ms

De toute fagon, la non synchronisation des horloges et la dérive afférente implique de fait que cette exigence ne peut plus étre validée aprés un
certain temps d'acquisition. Si la dérive relative est de 5 ppm, au bout de 100 s on observera un décalage de 500us.

D'un point de vue scientifique, c'est la précision de la datation des échantillons par I'horloge de LFR qui est pertinente (et elle est bien sar bien

meilleure que 500us, de fait donnée par le fine time qui vaut ~15us) plus que le fait d'avoir les échantillons sur une seconde pile a +/-500us. En ce
sens, nous souhaiterions avoir un retour sur la signification de cette exigence et sa formulation, et a priori une reformulation conforme a la réalité.
Comme demandé lors de la QR R3 : une fois que les discussions et/ou conclusions sur ce sujet seront substantielles, nous pourrons élargir, selon
votre appréciation, la diffusion a C.Laffaye (CNES), Gonzalo Garrigo (CNES) et Jean-Michel Benezeth (CNES).

Merci d'avance a tous.
Bruno Katra, Alexis Jeandet et Thomas Chust pour le LPP

#6 - 08/01/2016 03:26 PM - bruno katra

- Status changed from In Progress to Feedback

#7 - 27/01/2016 04:21 PM - bruno katra

- File RPW-MEB-LFR-NTT-00213-01-00_LFR_acquisition_time_accuracy.odt added
- File RPW-MEB-LFR-NTT-00213-01-00_LFR_acquisition_time_accuracy.pdf added
- % Done changed from 40 to 70

Les documents joints au mail ci-apres du 22/01/2016 ont été présenté au ISWG a Madrid le 25-26 janvier 2016

J'ai eu un retour positif de Paul ce matin. Il confirme que la datation nécessite bien moins que 100 cycles de 40 ns. J'ai donc modifié cette version 1.0
en prenant en compte cette affirmation.

Alexis n'a actuellement pas eu le temps de relire mais propose de figer cette version en I'état (Paul ayant donné un feu vert). Une version 1.1 pourra
prendre en compte ses considérations a téte reposée ... prochainement.

Bon weekend et bonne réunion InSitu WG a ceux et celles qui iront!
Thomas

Le 22/01/2016 13:59, Milan Maksimovic a écrit :
Merci Thomas pour ce premier jet.

Je laisse Bernard et Philippe I'analyser et dire ce que I'on peut présenter au ISWG meeting de lundi aprem.
Paul et Alexis, pourrait-on avoir vos ajouts avant ce soir ?

milan

Le 21/01/2016 19:13, Thomas Chust a écrit :
Paul et Alexis,
Voici en piece jointe un premier draft de la note qui nous a été demandée. Il y a besoin d'une relecture et certainement quelques petits
compléments de votre part. Comme il fallait cette note pour aujourd'hui (avant le SWT a Madrid) je mets toutes les personnes concernées

en copie, pour premier retour.

Alexis, avant de devoir intervenir de nouveau sur la carte FM LFR a Toulouse, tu envisageais de joindre une figure illustrant le timing entre
le S/C, le DPU et LFR, je crois ...

Bonne soirée !
Thomas

PS: Sinon concernant le CR de la réunion je suis ok
Le 18/01/2016 18:51, Milan Maksimovic a écrit :
Bonsoir & vous,
ci-joint les notes prises par Yvonne et Xavier et que je viens de revoir.
Merci de valider en m'envoyant vos commentaires avant jeudi prochain (21), date a laquelle nous attendons le doc de I'équipe LFR

(par avance merci a vous)

Je n'ai pas inclus des ces notes les tout derniers échanges entre Philippe et Thomas sur la doc envoyée par Philippe.
Thomas je suppose que vous allez tenir compte de ces infos pour la rédaction de votre doc LFR/timing

bonne soirée

milan

#8 - 22/06/2018 05:02 PM - bruno katra
- % Done changed from 70 to 100
La RFD 260 a été créée et livrée comme demandé par le CNES qui s'était engagé a l'accepter mais celle-ci n'a jamais été signé aprés le départ de
Gonzalo car personne n'a vraiment repris la suite. La teleconf de décembre 2017 avec Elise a montré que le CNES n'avait pas pris connaissance de
toute la livraison.

J'ai commenté le point JIRA associé.

On laisse ouvert ce point jusque signature de la RFD.

#9 - 13/12/2018 03:06 PM - bruno katra
- Status changed from Feedback to Closed

RFD acceptée et signée

Files

Draft note technique SSS-CP-EQS-340.0dt 35.2 KB 07/01/2016 bruno katra
RPW-MEB-LFR-NTT-00213-01-00_LFR_acquisition_time_accuracy.od#92 KB 27/01/2016 bruno katra
RPW-MEB-LFR-NTT-00213-01-00_LFR_acquisition_time_accuracy.pdf62 MB 27/01/2016 bruno katra
